~xdavidwu/xdavidwu.link

ref: 70bdd4b7411034ea51fa26e20193c17b57f8d49b xdavidwu.link/minimal-mistakes-jekyll.gemspec -rw-r--r-- 1.1 KiB
70bdd4b7xdavidwu ruby: depends on matrix, for classifier-reborn, for ruby 3.1 9 months ago
                                                                                
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
# coding: utf-8

Gem::Specification.new do |spec|
  spec.name                    = "minimal-mistakes-jekyll"
  spec.version                 = "4.20.2"
  spec.authors                 = ["Michael Rose"]

  spec.summary                 = %q{A flexible two-column Jekyll theme.}
  spec.homepage                = "https://github.com/mmistakes/minimal-mistakes"
  spec.license                 = "MIT"

  spec.metadata["plugin_type"] = "theme"

  spec.files                   = `git ls-files -z`.split("\x0").select do |f|
    f.match(%r{^(assets|_(data|includes|layouts|sass)/|(LICENSE|README|CHANGELOG)((\.(txt|md|markdown)|$)))}i)
  end

  spec.add_runtime_dependency "jekyll", ">= 3.7", "< 5.0"
  spec.add_runtime_dependency "jekyll-paginate", ">= 1.1"
  spec.add_runtime_dependency "jekyll-sitemap", ">= 1.3"
  spec.add_runtime_dependency "jekyll-feed", ">= 0.1"
  spec.add_runtime_dependency "jekyll-include-cache", ">= 0.1"
  spec.add_runtime_dependency "jekyll-tidy"
  spec.add_runtime_dependency "classifier-reborn"
  spec.add_runtime_dependency "matrix"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake", ">= 12.3.3"
end